# Put

Launch stage: GA

`POST /api/2.0/dbfs/put`

Uploads a file through the use of multipart form post.
 It is mainly used for streaming uploads, but can also be used as a convenient single call for data upload.

 Alternatively you can pass contents as base64 string.

 The amount of data that can be passed (when not streaming) using the __contents__  parameter is limited to 1 MB.
 `MAX_BLOCK_SIZE_EXCEEDED` will be thrown if this limit is exceeded.

 If you want to upload large files, use the streaming upload. For details, see `dbfs/create`,
 `dbfs/addBlock`, `dbfs/close`.

API scopes: files

## Request body

- `path` (string, optional)
  The path of the new file. The path should be the absolute DBFS path.
  Example: `/mnt/foo`
- `contents` (string, optional)
  This parameter might be absent, and instead a posted file will be used.
- `overwrite` (boolean, optional)
  The flag that specifies whether to overwrite existing file/files.
  Default: `false`

## Response

```json
{}
```

